View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001535aMuleExternal Connpublic2009-06-27 17:062009-07-26 00:27
Reporteryelo3 
Assigned ToGonoszTopi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0001535: kad search problem (stop and new search)
DescriptionI'm opening a new bug because I can no more add comments to the previous one, because there is always a server error).

I'm asking for the possibility to stop a kad search, because if I do a mistake kad won't let me start another search with the same first word, unless the previous search is finished.

A quick example on how you can reproduce it:
- search "fedora 12"
- note that fedora 12 does not yet exist, you wanted to search for "fedora" 11 instead
- hit "stop"
- search "fedora 11"
- read the error "Unexpected error while attempting Kad search: Kademlia: Search keyword is already on search list: fedora"

the previous bug was closed because "it is not possible to stop a kad search".
This is wrong (or at least it can be workarounded) because in emule you can stop a search and immediately start a new one even if the first word is the same
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Filespatch file icon stop_kad_search_patch.patch [^] (279 bytes) 2009-07-01 19:12 [Show Content]

- Relationships

-  Notes
(0003211)
myth88 (updater)
2009-07-01 19:12

I've written a patch, please test it! Here it works! :)
(0003222)
myth88 (updater)
2009-07-10 16:24

Did anybody test it???
(0003228)
Marcell (developer)
2009-07-12 13:09

Tested, looks like it does work. ;-)
(0003231)
yelo3 (reporter)
2009-07-12 14:23

Good to know, thanks. Will you release soon a new version or should I propose the patch to my distribution?
(0003234)
myth88 (updater)
2009-07-13 03:39

First one of the devs should check it, and maybe it goes to trunk... :)
(0003237)
Marcell (developer)
2009-07-13 21:34

I will post this in the forum and it will eventually get into the SVN version. If it's really urgent get the latest tarball that includes the patch - check the changelog on the right side:
http://amule.sourceforge.net/tarballs/tarballs.xml [^]
(0003240)
sturedman (developer)
2009-07-16 00:05

Yelo3, we do not support any versions of aMule with patches that have not been authorized by the dev team. So please don't. (Especially since the patch is broken.)
(0003245)
yelo3 (reporter)
2009-07-16 21:17

Well I think that my distribution already ships some patches to amule...
Anyway why do you define this patch broken? (I have not tested it yet)
(0003248)
myth88 (updater)
2009-07-19 07:07

I confirm that the patch isn't a good thing! ;)
(0003251)
yelo3 (reporter)
2009-07-19 14:18

Ok, have you got other ideas? can't we look at emule source?
(0003252)
myth88 (updater)
2009-07-19 14:21

I looked at eMule source...but it's a bit different ;)

I give it a look right now, but my C++ skills aren't yet the best :/
(0003261)
sturedman (developer)
2009-07-26 00:27

Fixed by marcell in 9723.

- Issue History
Date Modified Username Field Change
2009-06-27 17:06 yelo3 New Issue
2009-06-27 17:06 yelo3 Operating System => Any
2009-07-01 19:12 myth88 File Added: stop_kad_search_patch.patch
2009-07-01 19:12 myth88 Note Added: 0003211
2009-07-10 16:24 myth88 Note Added: 0003222
2009-07-12 13:09 Marcell Note Added: 0003228
2009-07-12 14:23 yelo3 Note Added: 0003231
2009-07-13 03:39 myth88 Note Added: 0003234
2009-07-13 21:34 Marcell Note Added: 0003237
2009-07-16 00:05 sturedman Note Added: 0003240
2009-07-16 21:17 yelo3 Note Added: 0003245
2009-07-19 07:07 myth88 Note Added: 0003248
2009-07-19 14:18 yelo3 Note Added: 0003251
2009-07-19 14:21 myth88 Note Added: 0003252
2009-07-26 00:27 sturedman Note Added: 0003261
2009-07-26 00:27 sturedman Assigned To => GonoszTopi
2009-07-26 00:27 sturedman Status new => resolved
2009-07-26 00:27 sturedman Resolution open => fixed
2009-07-26 00:27 sturedman Product Version 2.2.5 => SVN


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker